Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.writer.relaxng
Class NameClassWriter

    java.lang.Object
      com.sun.msv.writer.relaxng.NameClassWriter

All Implemented Interfaces:
  NameClassVisitor

public class NameClassWriter
extends java.lang.Object
implements NameClassVisitor

Visits NameClass and writes its XML representation. this class can only handle canonicalized name class.

Constructor Summary
`NameClassWriter(Context ctxt)`

Method Summary
`java.lang.Object` | `onAnyName(AnyNameClass nc)`
`java.lang.Object` | `onChoice(ChoiceNameClass nc)`
`java.lang.Object` | `onDifference(DifferenceNameClass nc)`
`java.lang.Object` | `onNot(NotNameClass nc)`
`java.lang.Object` | `onNsName(NamespaceNameClass nc)`
`java.lang.Object` | `onSimple(SimpleNameClass nc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameClassWriter

    public NameClassWriter(Context ctxt)

Method Detail

### onAnyName

    public java.lang.Object onAnyName(AnyNameClass nc)

  Specified by:
    `onAnyName` in interface `NameClassVisitor`

### onSimple

    public java.lang.Object onSimple(SimpleNameClass nc)

  Specified by:
    `onSimple` in interface `NameClassVisitor`

### onNsName

    public java.lang.Object onNsName(NamespaceNameClass nc)

  Specified by:
    `onNsName` in interface `NameClassVisitor`

### onNot

    public java.lang.Object onNot(NotNameClass nc)

  Specified by:
    `onNot` in interface `NameClassVisitor`

### onChoice

    public java.lang.Object onChoice(ChoiceNameClass nc)

  Specified by:
    `onChoice` in interface `NameClassVisitor`

### onDifference

    public java.lang.Object onDifference(DifferenceNameClass nc)

  Specified by:
    `onDifference` in interface `NameClassVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD